| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Member Functions | List of all members
ProfileModel Class Reference
Inheritance diagram for ProfileModel:

## Public Types
enum | { COL_NAME , COL_TYPE , COL_AUTO_SWITCH_FILTER , _LAST_ENTRY }
enum | { DATA_STATUS = Qt::UserRole , DATA_IS_DEFAULT , DATA_IS_GLOBAL , DATA_IS_SELECTED , DATA_PATH , DATA_PATH_IS_NOT_DESCRIPTION }

## Signals
void | itemChanged (const QModelIndex &idx)

## Public Member Functions
| ProfileModel (QObject *parent=Q_NULLPTR)
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const
virtual int | columnCount (const QModelIndex &parent=QModelIndex()) const
virtual QVariant | data (const QModelIndex &idx, int role=Qt::DisplayRole) const
virtual bool | setData (const QModelIndex &index, const QVariant &value, int role)
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
virtual Qt::ItemFlags | flags (const QModelIndex &index) const
void | deleteEntry (QModelIndex idx)
void | deleteEntries (QModelIndexList idcs)
int | findByName (QString name)
QModelIndex | addNewProfile (QString name)
QModelIndex | duplicateEntry (QModelIndex idx, int new_status=PROF_STAT_COPY)
void | doResetModel (bool reset_import=false)
bool | resetDefault () const
QModelIndex | activeProfile () const
GList * | at (int row) const
bool | changesPending () const
bool | importPending () const
bool | userProfilesExist () const
int | importProfilesFromDir (QString filename, int *skippedCnt=Q_NULLPTR, bool fromZip=false, QStringList *result=Q_NULLPTR)
QList< int > | findAllByNameAndVisibility (QString name, bool isGlobal=false, bool searchReference=false) const
void | markAsImported (QStringList importedItems)
bool | clearImported (QString *msg=Q_NULLPTR)
int | lastSetRow () const
bool | checkInvalid (const QModelIndex &index) const
bool | checkIfDeleted (const QModelIndex &index) const
bool | checkIfDeleted (int row) const
bool | checkDuplicate (const QModelIndex &index, bool isOriginalToDuplicate=false) const

## Static Public Member Functions
static QString | activeProfileName ()
static QString | activeProfilePath ()
static bool | checkNameValidity (QString name, QString *msg=Q_NULLPTR)

## Public Attributes
enum ProfileModel:: { ... } | columns_
enum ProfileModel:: { ... } | data_values_

## Static Protected Member Functions
static QString | illegalCharacters ()

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/profile_model.h
- /builds/wireshark/wireshark/ui/qt/models/profile_model.cpp